# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""ws_ann failure notification template

Revision ID: 7abf54ae3fe5
Revises: 7ec92e7da566
Create Date: 2024-03-28 09:12:39.453333

"""
from pathlib import Path

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "7abf54ae3fe5"
down_revision = "7ec92e7da566"
branch_labels = None
depends_on = None

content = (Path.cwd() / "versions" / "templates" / "emails" / "ws_annihilator_failure_2.8.3.txt").read_text()
template_name = "ws_annihilator_failure"


def upgrade():
    op.execute(
        f"""INSERT INTO notification_templates (name, description, template) VALUES ('{template_name}', 'Sent when ws_annihilator fails to remove one or more directories', E'{content}')"""
    )


def downgrade():
    op.execute(f"""DELETE FROM notification_templates WHERE name = {template_name}""")
