"""move raw data

Revision ID: 82f7b57c8ad7
Revises: 7ec92e7da566
Create Date: 2024-03-25 11:53:42.954521

"""
from alembic import op
from pathlib import Path
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '82f7b57c8ad7'
down_revision = '7ec92e7da566'
branch_labels = None
depends_on = None

old_fetch = "fetch_sh_2.8.2.txt"
new_fetch = "fetch_sh_2.8.3.txt"


def set_wf_content(wf_name: str, filename: str) -> bytes:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text().encode()


def upgrade():
    conn = op.get_bind()

    # Allow fetch templates to reuse rawdata
    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'std_calibration_fetch.sh'
         """,
        set_wf_content("std_calibration", new_fetch),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'restore_cms_fetch.sh'
         """,
        set_wf_content("restore_cms", new_fetch),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'std_restore_imaging_fetch.sh'
         """,
        set_wf_content("std_restore_imaging", new_fetch),
    )


def downgrade():
    conn = op.get_bind()

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'std_calibration_fetch.sh'
         """,
        set_wf_content("std_calibration", old_fetch),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'restore_cms_fetch.sh'
         """,
        set_wf_content("restore_cms", old_fetch),
    )

    conn.execute(
        f"""
         UPDATE workflow_templates
         SET content = %s
         WHERE filename = 'std_restore_imaging_fetch.sh'
         """,
        set_wf_content("std_restore_imaging", old_fetch),
    )
